Subcontas ValidaPay
Listar cobranças
Com esta rota você poderá listar todas as cobranças que a sua master account gerou em uma subcontas
GET
/v1/chargesBase URL Produção:
https://api.validapay.com.brBase URL Sandbox:
https://sandbox.validapay.com.brAuthorizations
bearer
Authorization
string · header · required
Cabeçalho de autenticação Bearer no formato Bearer {{token}} onde {{token}} é o seu token OAuth2.
Escopos requeridos
subaccounts/read
Query Parameters
| Name | Type | Value | Required |
|---|---|---|---|
| dateFrom | - | 2026-02-01T00:00:00.000Z | Optional |
| dateTo | - | 2026-02-23T23:59:59.999Z | Optional |
| page | - | 1 | Optional |
| perPage | - | 15 | Optional |
Headers
| Name | Type | Value | Required | Description |
|---|---|---|---|---|
| X-Sub-Account | text | {{subaccount_number}}(variável) | Required | Subconta da qual você quer listar as cobranças |
const url = 'https://sandbox.validapay.com.br/v1/charges?dateFrom=2026-02-01T00:00:00.000Z&dateTo=2026-02-23T23:59:59.999Z&page=1&perPage=15?dateFrom=2026-02-01T00%3A00%3A00.000Z&dateTo=2026-02-23T23%3A59%3A59.999Z&page=1&perPage=15';
const options = {
method: 'GET',
headers: {
'Authorization': 'Bearer {{token}}',
'X-Sub-Account': '{{subaccount_number}}'
},
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Response Examples
200200
{
"data": [
{
"status": "PENDING",
"createdAt": "2026-02-23T18:46:22.652Z",
"chargeId": "cha_1771872382645_qe5j0ohge",
"updatedAt": "2026-02-23T18:46:22.652Z",
"masterAccountId": "SANDBOX_0438f4c8-0031-7051-16d4-5a23704756b6",
"amount": 39.9,
"provider": "CELCOIN",
"attempts": 1,
"emvQrCode": "00020101021226930014br.gov.bcb.pix2571qrcode-h.pix.celcoin.com.br/pixqrcode/v2/b3e3ff8fc93f7c11aa1dfae0a1d29b5204000053039865802BR5909ValidaPix6013Florianopolis62070503***630433A1",
"paymentType": "PIX",
"subAccountId": "4949228"
},
{
"status": "PENDING",
"createdAt": "2026-02-23T18:34:13.130Z",
"chargeId": "cha_1771871653130_pzzsyzeha",
"updatedAt": "2026-02-23T18:34:13.130Z",
"masterAccountId": "SANDBOX_0438f4c8-0031-7051-16d4-5a23704756b6",
"amount": 39.9,
"provider": "CELCOIN",
"attempts": 1,
"emvQrCode": "00020101021226930014br.gov.bcb.pix2571qrcode-h.pix.celcoin.com.br/pixqrcode/v2/95f41bdeede9f0be5c23f438ec42935204000053039865802BR5909ValidaPix6013Florianopolis62070503***630426DB",
"paymentType": "PIX",
"subAccountId": "4949228"
},
{
"status": "PENDING",
"createdAt": "2026-02-23T18:34:09.892Z",
"chargeId": "cha_1771871649852_mm0luemzr",
"updatedAt": "2026-02-23T18:34:09.892Z",
"masterAccountId": "SANDBOX_0438f4c8-0031-7051-16d4-5a23704756b6",
"amount": 39.9,
"provider": "CELCOIN",
"attempts": 1,
"emvQrCode": "00020101021226930014br.gov.bcb.pix2571qrcode-h.pix.celcoin.com.br/pixqrcode/v2/2ef9522aaa1451a24842964c4e4c5c5204000053039865802BR5909ValidaPix6013Florianopolis62070503***6304DF83",
"paymentType": "PIX",
"subAccountId": "4949228"
}
],
"totalItems": 23,
"totalPages": 2,
"page": 1,
"limit": 15,
"dateFrom": "2026-02-01T00:00:00.000Z",
"dateTo": "2026-02-23T23:59:59.999Z"
}